Starmade | Shop can only accept one incoming connection
Closed, FinishedPublic

Description

You can only have one connection toward a shop.

A logic link will wipe a storage pull, also more than one storage pull is not possible.

Details

Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.199.625
Category
Tradenetwork/Shops
First occurrence (version)
0.198.477
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce

Version 1

  1. place a shop module
  2. link an activator to it (C on activator, V on shop)
  3. link a storage to it (C on storage, V on shop)

Result

Activator link lost

Version 2

  1. place a shop module
  2. link a storage to it (C on storage, V on shop)
  3. link another storage to it (C on storage, V on shop)

Result

First storage link lost

AndyP created this task.Jul 15 2016, 9:33 PM
lancake raised the priority of this task from "High" to "Release Blocker".
AndyP lowered the priority of this task from "Release Blocker" to "High".Aug 22 2016, 7:05 AM
AndyP changed the task status from "In Queue (Game)" to "In Queue".Mar 10 2017, 5:05 PM
Restricted Application added a project: Engine. · View Herald TranscriptMar 10 2017, 5:05 PM
AndyP changed Category from Engine to Tradenetwork/Shops.Mar 16 2017, 2:08 PM
Restricted Application edited projects, added Tradenetwork; removed Engine. · View Herald TranscriptMar 16 2017, 2:08 PM
AndyP edited projects, added Game Development (Alpha); removed Game Development.
schema changed the task status from "In Queue" to "Resolved".Jun 28 2017, 8:18 AM
schema added a subscriber: schema.

Fixed a while back

Restricted Application added a project: Quality Assurance. · View Herald TranscriptJun 28 2017, 8:18 AM
lancake changed Last tested (version) from 0.198.477 to 0.199.625.
lancake set First occurrence (version) to 0.198.477.
lancake closed this task as "Closed".Jul 7 2017, 12:34 PM
Restricted Application removed a project: Quality Assurance. · View Herald TranscriptJul 7 2017, 12:34 PM